## rust-hickory-server 0.24.1

=== debian/changelog ===
rust-hickory-server (0.24.1-2) unstable; urgency=medium

  * Package hickory-server 0.24.1 from crates.io using debcargo 2.6.1
  * hickory-server: ignore tests that access files outside the workspace

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 13 Jul 2024 12:09:08 -0400

rust-hickory-server (0.24.1-1) unstable; urgency=medium

  * Package hickory-server 0.24.1 from crates.io using debcargo 2.6.1
  * Backport fix for test failures due to example.com's IP changing from
    93.184.216.34 to 93.184.215.14

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 09 May 2024 07:13:00 -0400
