=== debian/control ===
Source: rust-hickory-server
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.67.0) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-async-trait-0.1+default-dev (>= 0.1.43-~~) <!nocheck>,
 librust-bytes-1+default-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-enum-as-inner-0.6+default-dev <!nocheck>,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
 librust-hickory-proto-0.24+text-parsing-dev <!nocheck>,
 librust-hickory-proto-0.24+tokio-runtime-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.20-~~) <!nocheck>,
 librust-time-0.3+default-dev <!nocheck>,
 librust-tokio-1+default-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+macros-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+net-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+sync-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-util-0.7+default-dev (>= 0.7.9-~~) <!nocheck>,
 librust-tracing-0.1+default-dev (>= 0.1.30-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/hickory-server]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/hickory-server
Homepage: https://hickory-dns.org/
X-Cargo-Crate: hickory-server
Rules-Requires-Root: no

Package: librust-hickory-server-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-async-trait-0.1+default-dev (>= 0.1.43-~~),
 librust-basic-toml-0.1+default-dev,
 librust-bytes-1+default-dev,
 librust-cfg-if-1+default-dev,
 librust-enum-as-inner-0.6+default-dev,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~),
 librust-h2-0.4+default-dev,
 librust-h2-0.4+stream-dev,
 librust-h3-0.0+default-dev,
 librust-h3-quinn-0.0+default-dev,
 librust-hickory-proto-0.24+backtrace-dev,
 librust-hickory-proto-0.24+dns-over-h3-dev,
 librust-hickory-proto-0.24+dns-over-https-dev,
 librust-hickory-proto-0.24+dns-over-https-rustls-dev,
 librust-hickory-proto-0.24+dns-over-openssl-dev,
 librust-hickory-proto-0.24+dns-over-quic-dev,
 librust-hickory-proto-0.24+dns-over-rustls-dev,
 librust-hickory-proto-0.24+dnssec-openssl-dev,
 librust-hickory-proto-0.24+dnssec-ring-dev,
 librust-hickory-proto-0.24+text-parsing-dev,
 librust-hickory-proto-0.24+tokio-runtime-dev,
 librust-hickory-recursor-0.24+serde-config-dev,
 librust-hickory-resolver-0.24+dns-over-h3-dev,
 librust-hickory-resolver-0.24+dns-over-https-rustls-dev,
 librust-hickory-resolver-0.24+dns-over-openssl-dev,
 librust-hickory-resolver-0.24+dns-over-quic-dev,
 librust-hickory-resolver-0.24+dns-over-rustls-dev,
 librust-hickory-resolver-0.24+dnssec-openssl-dev,
 librust-hickory-resolver-0.24+dnssec-ring-dev,
 librust-hickory-resolver-0.24+native-certs-dev,
 librust-hickory-resolver-0.24+serde-config-dev,
 librust-hickory-resolver-0.24+system-config-dev,
 librust-hickory-resolver-0.24+tokio-runtime-dev,
 librust-http-0.2+default-dev,
 librust-openssl-0.10+default-dev (>= 0.10.55-~~),
 librust-openssl-0.10+v102-dev (>= 0.10.55-~~),
 librust-openssl-0.10+v110-dev (>= 0.10.55-~~),
 librust-rusqlite-0.29+default-dev,
 librust-rusqlite-0.29+time-dev,
 librust-rustls-0.21+default-dev (>= 0.21.6-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-thiserror-1+default-dev (>= 1.0.20-~~),
 librust-time-0.3+default-dev,
 librust-tokio-1+default-dev (>= 1.21-~~),
 librust-tokio-1+macros-dev (>= 1.21-~~),
 librust-tokio-1+net-dev (>= 1.21-~~),
 librust-tokio-1+sync-dev (>= 1.21-~~),
 librust-tokio-openssl-0.6+default-dev,
 librust-tokio-rustls-0.24+default-dev,
 librust-tokio-util-0.7+default-dev (>= 0.7.9-~~),
 librust-tracing-0.1+default-dev (>= 0.1.30-~~)
Provides:
 librust-hickory-server+backtrace-dev (= ${binary:Version}),
 librust-hickory-server+default-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-server+dnssec-dev (= ${binary:Version}),
 librust-hickory-server+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-server+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-server+h2-dev (= ${binary:Version}),
 librust-hickory-server+h3-dev (= ${binary:Version}),
 librust-hickory-server+h3-quinn-dev (= ${binary:Version}),
 librust-hickory-server+hickory-recursor-dev (= ${binary:Version}),
 librust-hickory-server+hickory-resolver-dev (= ${binary:Version}),
 librust-hickory-server+http-dev (= ${binary:Version}),
 librust-hickory-server+native-certs-dev (= ${binary:Version}),
 librust-hickory-server+openssl-dev (= ${binary:Version}),
 librust-hickory-server+recursor-dev (= ${binary:Version}),
 librust-hickory-server+resolver-dev (= ${binary:Version}),
 librust-hickory-server+rusqlite-dev (= ${binary:Version}),
 librust-hickory-server+rustls-dev (= ${binary:Version}),
 librust-hickory-server+sqlite-dev (= ${binary:Version}),
 librust-hickory-server+testing-dev (= ${binary:Version}),
 librust-hickory-server+tls-dev (= ${binary:Version}),
 librust-hickory-server+tls-openssl-dev (= ${binary:Version}),
 librust-hickory-server+tokio-openssl-dev (= ${binary:Version}),
 librust-hickory-server+tokio-rustls-dev (= ${binary:Version}),
 librust-hickory-server+toml-dev (= ${binary:Version}),
 librust-hickory-server-0-dev (= ${binary:Version}),
 librust-hickory-server-0+backtrace-dev (= ${binary:Version}),
 librust-hickory-server-0+default-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-server-0+dnssec-dev (= ${binary:Version}),
 librust-hickory-server-0+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-server-0+h2-dev (= ${binary:Version}),
 librust-hickory-server-0+h3-dev (= ${binary:Version}),
 librust-hickory-server-0+h3-quinn-dev (= ${binary:Version}),
 librust-hickory-server-0+hickory-recursor-dev (= ${binary:Version}),
 librust-hickory-server-0+hickory-resolver-dev (= ${binary:Version}),
 librust-hickory-server-0+http-dev (= ${binary:Version}),
 librust-hickory-server-0+native-certs-dev (= ${binary:Version}),
 librust-hickory-server-0+openssl-dev (= ${binary:Version}),
 librust-hickory-server-0+recursor-dev (= ${binary:Version}),
 librust-hickory-server-0+resolver-dev (= ${binary:Version}),
 librust-hickory-server-0+rusqlite-dev (= ${binary:Version}),
 librust-hickory-server-0+rustls-dev (= ${binary:Version}),
 librust-hickory-server-0+sqlite-dev (= ${binary:Version}),
 librust-hickory-server-0+testing-dev (= ${binary:Version}),
 librust-hickory-server-0+tls-dev (= ${binary:Version}),
 librust-hickory-server-0+tls-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0+tokio-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0+tokio-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0+toml-dev (= ${binary:Version}),
 librust-hickory-server-0.24-dev (= ${binary:Version}),
 librust-hickory-server-0.24+backtrace-dev (= ${binary:Version}),
 librust-hickory-server-0.24+default-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dnssec-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-server-0.24+h2-dev (= ${binary:Version}),
 librust-hickory-server-0.24+h3-dev (= ${binary:Version}),
 librust-hickory-server-0.24+h3-quinn-dev (= ${binary:Version}),
 librust-hickory-server-0.24+hickory-recursor-dev (= ${binary:Version}),
 librust-hickory-server-0.24+hickory-resolver-dev (= ${binary:Version}),
 librust-hickory-server-0.24+http-dev (= ${binary:Version}),
 librust-hickory-server-0.24+native-certs-dev (= ${binary:Version}),
 librust-hickory-server-0.24+openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24+recursor-dev (= ${binary:Version}),
 librust-hickory-server-0.24+resolver-dev (= ${binary:Version}),
 librust-hickory-server-0.24+rusqlite-dev (= ${binary:Version}),
 librust-hickory-server-0.24+rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+sqlite-dev (= ${binary:Version}),
 librust-hickory-server-0.24+testing-dev (= ${binary:Version}),
 librust-hickory-server-0.24+tls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+tls-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24+tokio-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24+tokio-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+toml-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+backtrace-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+default-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dnssec-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+h2-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+h3-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+h3-quinn-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+hickory-recursor-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+hickory-resolver-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+http-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+native-certs-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+recursor-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+resolver-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+rusqlite-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+sqlite-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+testing-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+tls-dev (= ${binary:Version}),
 librust-hickory-server-0.24.1+tls-openssl-dev (= ${binary:Version}),
