=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-server 0.24.1 --all-targets --all-features
Features: test-name=rust-hickory-server:@
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-server 0.24.1 --all-targets --no-default-features --features backtrace
Features: test-name=librust-hickory-server-dev:backtrace
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-server 0.24.1 --all-targets
Features: test-name=librust-hickory-server-dev:default
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-server 0.24.1 --all-targets --no-default-features --features dns-over-h3
Features: test-name=librust-hickory-server-dev:dns-over-h3
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-server 0.24.1 --all-targets --no-default-features --features dns-over-https
Features: test-name=librust-hickory-server-dev:dns-over-https
Depends: dh-cargo (>= 18), librust-futures-executor-0.3+std-dev (>= 0.3.5-~~), librust-tokio-1+default-dev (>= 1.21-~~), librust-tokio-1+macros-dev (>= 1.21-~~), librust-tokio-1+rt-dev (>= 1.21-~~), librust-tracing-subscriber-0.3+default-dev, librust-tracing-subscriber-0.3+fmt-dev, librust-tracing-subscriber-0.3+std-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test hickory-server 0.24.1 --all-targets --no-default-features --features dns-over-https-rustls
Features: test-name=librust-hickory-server-dev:dns-over-https-rustls
