## rust-hickory-server 0.24.4

=== debian/changelog ===
rust-hickory-server (0.24.4-2) unstable; urgency=medium

  * Team upload.
  * Limit autopkgtests attempted on riscv64 to avoid timeouts

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Mon, 14 Apr 2025 20:37:56 +0200

rust-hickory-server (0.24.4-1) unstable; urgency=medium

  * Team upload.
  * Package hickory-server 0.24.4 from crates.io using debcargo 2.7.8
  * Upgrade rustls to 0.23
  * Disable webpki-roots
  * Fix features failing imports; convert some implicit deps to dep: to
  reduce tested features
  * Adapt to rustls in Debian not providing default feature
  * Fix outdated references of ServerFuture::shutdown_token
  * Consolidate patches

 -- Blair Noctis <ncts@debian.org>  Mon, 31 Mar 2025 16:07:29 +0000
