=== debian/control ===
Source: rust-hickory-server
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native (>= 1.71.1) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-async-trait-0.1+default-dev (>= 0.1.43-~~) <!nocheck>,
 librust-bytes-1+default-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-enum-as-inner-0.6+default-dev <!nocheck>,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~) <!nocheck>,
 librust-hickory-proto-0.24+text-parsing-dev <!nocheck>,
 librust-hickory-proto-0.24+tokio-runtime-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-1+derive-dev <!nocheck>,
 librust-thiserror-1+default-dev (>= 1.0.20-~~) <!nocheck>,
 librust-time-0.3+default-dev <!nocheck>,
 librust-tokio-1+default-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+macros-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+net-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-1+sync-dev (>= 1.21-~~) <!nocheck>,
 librust-tokio-util-0.7+default-dev (>= 0.7.9-~~) <!nocheck>,
 librust-tracing-0.1+default-dev (>= 0.1.30-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/hickory-server]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/hickory-server
Homepage: https://hickory-dns.org/
X-Cargo-Crate: hickory-server
Rules-Requires-Root: no

Package: librust-hickory-server-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-async-trait-0.1+default-dev (>= 0.1.43-~~),
 librust-basic-toml-0.1+default-dev,
 librust-bytes-1+default-dev,
 librust-cfg-if-1+default-dev,
 librust-enum-as-inner-0.6+default-dev,
 librust-futures-util-0.3+std-dev (>= 0.3.5-~~),
 librust-h2-0.4+default-dev,
 librust-h2-0.4+stream-dev,
 librust-h3-0.0+default-dev,
 librust-h3-quinn-0.0+default-dev,
 librust-hickory-proto-0.24+backtrace-dev,
 librust-hickory-proto-0.24+dns-over-h3-dev,
 librust-hickory-proto-0.24+dns-over-https-dev,
 librust-hickory-proto-0.24+dns-over-https-rustls-dev,
 librust-hickory-proto-0.24+dns-over-openssl-dev,
 librust-hickory-proto-0.24+dns-over-quic-dev,
 librust-hickory-proto-0.24+dns-over-rustls-dev,
 librust-hickory-proto-0.24+dnssec-dev,
 librust-hickory-proto-0.24+dnssec-openssl-dev,
 librust-hickory-proto-0.24+dnssec-ring-dev,
 librust-hickory-proto-0.24+text-parsing-dev,
 librust-hickory-proto-0.24+tokio-runtime-dev,
 librust-hickory-recursor-0.24+serde-config-dev,
 librust-hickory-resolver-0.24+dns-over-h3-dev,
 librust-hickory-resolver-0.24+dns-over-https-rustls-dev,
 librust-hickory-resolver-0.24+dns-over-openssl-dev,
 librust-hickory-resolver-0.24+dns-over-quic-dev,
 librust-hickory-resolver-0.24+dns-over-rustls-dev,
 librust-hickory-resolver-0.24+dnssec-openssl-dev,
 librust-hickory-resolver-0.24+dnssec-ring-dev,
 librust-hickory-resolver-0.24+native-certs-dev,
 librust-hickory-resolver-0.24+serde-config-dev,
 librust-hickory-resolver-0.24+system-config-dev,
 librust-hickory-resolver-0.24+tokio-runtime-dev,
 librust-http-0.2+default-dev,
 librust-openssl-0.10+default-dev (>= 0.10.55-~~),
 librust-openssl-0.10+v102-dev (>= 0.10.55-~~),
 librust-openssl-0.10+v110-dev (>= 0.10.55-~~),
 librust-rusqlite-0.29+default-dev,
 librust-rusqlite-0.29+time-dev,
 librust-rustls-0.23+logging-dev,
 librust-rustls-0.23+ring-dev,
 librust-rustls-0.23+std-dev,
 librust-rustls-0.23+tls12-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-thiserror-1+default-dev (>= 1.0.20-~~),
 librust-time-0.3+default-dev,
 librust-tokio-1+default-dev (>= 1.21-~~),
 librust-tokio-1+macros-dev (>= 1.21-~~),
 librust-tokio-1+net-dev (>= 1.21-~~),
 librust-tokio-1+sync-dev (>= 1.21-~~),
 librust-tokio-openssl-0.6+default-dev,
 librust-tokio-rustls-0.26+default-dev,
 librust-tokio-util-0.7+default-dev (>= 0.7.9-~~),
 librust-tracing-0.1+default-dev (>= 0.1.30-~~)
Provides:
 librust-hickory-server+backtrace-dev (= ${binary:Version}),
 librust-hickory-server+default-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-server+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-server+dnssec-dev (= ${binary:Version}),
 librust-hickory-server+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-server+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-server+native-certs-dev (= ${binary:Version}),
 librust-hickory-server+recursor-dev (= ${binary:Version}),
 librust-hickory-server+resolver-dev (= ${binary:Version}),
 librust-hickory-server+sqlite-dev (= ${binary:Version}),
 librust-hickory-server+testing-dev (= ${binary:Version}),
 librust-hickory-server+tls-dev (= ${binary:Version}),
 librust-hickory-server+toml-dev (= ${binary:Version}),
 librust-hickory-server-0-dev (= ${binary:Version}),
 librust-hickory-server-0+backtrace-dev (= ${binary:Version}),
 librust-hickory-server-0+default-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-server-0+dnssec-dev (= ${binary:Version}),
 librust-hickory-server-0+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-server-0+native-certs-dev (= ${binary:Version}),
 librust-hickory-server-0+recursor-dev (= ${binary:Version}),
 librust-hickory-server-0+resolver-dev (= ${binary:Version}),
 librust-hickory-server-0+sqlite-dev (= ${binary:Version}),
 librust-hickory-server-0+testing-dev (= ${binary:Version}),
 librust-hickory-server-0+tls-dev (= ${binary:Version}),
 librust-hickory-server-0+toml-dev (= ${binary:Version}),
 librust-hickory-server-0.24-dev (= ${binary:Version}),
 librust-hickory-server-0.24+backtrace-dev (= ${binary:Version}),
 librust-hickory-server-0.24+default-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dnssec-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-server-0.24+native-certs-dev (= ${binary:Version}),
 librust-hickory-server-0.24+recursor-dev (= ${binary:Version}),
 librust-hickory-server-0.24+resolver-dev (= ${binary:Version}),
 librust-hickory-server-0.24+sqlite-dev (= ${binary:Version}),
 librust-hickory-server-0.24+testing-dev (= ${binary:Version}),
 librust-hickory-server-0.24+tls-dev (= ${binary:Version}),
 librust-hickory-server-0.24+toml-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+backtrace-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+default-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dns-over-h3-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dns-over-https-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dns-over-https-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dns-over-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dns-over-quic-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dns-over-rustls-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dns-over-tls-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dnssec-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dnssec-openssl-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+dnssec-ring-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+native-certs-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+recursor-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+resolver-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+sqlite-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+testing-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+tls-dev (= ${binary:Version}),
 librust-hickory-server-0.24.4+toml-dev (= ${binary:Version})
Description: Hickory DNS is a safe and secure DNS server with DNSSEC support - Rust source code
 Eventually this could be a replacement for BIND9. The DNSSEC support allows
 for live signing of all records, in it does not currently support  records
 signed offline. The server supports dynamic DNS with SIG0 authenticated
 requests. Hickory DNS is based on the Tokio and Futures libraries, which
 means  it should be easily integrated into other software that also use those
 libraries.
 .
 Source code for Debianized Rust crate "hickory-server"
